<?php
       
//faq
           function faqShortcode($isHome = 0) {
            global $query;

            $args = array('post_type' => 'our-faq');

            if (!empty($pageId)) {
                $args['page_id'] = absint($pageId);
            } else {
                $args['paged'] = max(1, get_query_var('paged'));
            }

            if(!empty($isHome) && $isHome == 1){
                $cols = get_theme_mod('faq_section_npp_count', 5);
                $cols++;
                $args['posts_per_page'] = $cols;
            }else{
                $args['posts_per_page'] = (!empty($args['posts_per_page'])) ? $args['posts_per_page'] : -1;
         // $cols = 5;
            }
            $faqPageId = get_theme_mod('faq_section_page_link');
            $query = new WP_Query($args);
            ob_start();
    // print_r($query);
            echo '<div class="faq">';
            if ($query->have_posts()){
                while ($query->have_posts()) : $query->the_post();
                    $post = get_post();
                    ?>
                <div class="">
                    <div class="faqbx">
                        <div class=" faq-content  accordion" data-wow-duration="3s">
                            <button class="accordion"> <h3 class="faq-title"><?php the_title(); ?></h3></button>
                            <div class="panel">
                                <div class="faq-description"> 
                                    <p>
                                        <?php
                                               if(!empty($isHome) && $isHome==1){
                                                if (has_excerpt()) {
                                                    echo get_the_excerpt();
                                                } else {
                                                        //echo luzuk_excerpt(get_the_content(),300);
                                                   echo get_the_content();
                                               }
                                                    // if(!empty($faqPageId)){
                                                    //     echo '<a href="'.get_permalink($faqPageId).'">Read More..</a>';
                                                    // }else{
                                                    //     echo '<a href="'.get_permalink($faqPageId).'">Read More..</a>';
                                                    // }
                                           }else{
                                            echo get_the_content();
                                        }?>        
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
    <?php
endwhile;
}else{
    for($i=0; $i<$cols; $i++){
        ?>
        <div class="row">
            <div class="col-md-12 faq-content">
                <h6 class="faq-title">Lorem Ipsum is simply dummy text of the printing and typesetting industry?</h6>
                <div class="faq-description">
                    <p><?php
                    if(!empty($isHome) && $isHome==1){
                        ?>
                        Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. Lorem Ipsum is simply dummy text of the printing  typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.
                        <br>
                        <?php
                                // if(!empty($faqPageId)){
                                //     echo '<a href="'.get_permalink($faqPageId).'">Read More..</a>';
                                // }else{
                                //     echo '<a href="'.get_permalink($faqPageId).'">Read More..</a>';
                                // }
                    }else{
                        ?>
                        Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. Lorem Ipsum is simply dummy text of the printing  typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.

                        Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. Lorem Ipsum is simply dummy text of the printing  typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.
                        <?php
                    }?>
                </p>
            </div>  
        </div>
    </div>
    <?php
}
}
echo '</div>';
?>

<script>
    var acc = document.getElementsByClassName("accordion");
    var i;

    for (i = 0; i < acc.length; i++) {
        acc[i].onclick = function(){
            this.classList.toggle("active");
            this.nextElementSibling.classList.toggle("show");
        }
    }
</script>
<?php
$text = ob_get_contents();
ob_clean();
ob_end_flush();
wp_reset_postdata();
    // echo $text;
return $text;
}
    //team
function teamShortCode($pageId = null, $isCustomizer = false, $i = null) { 

    ob_start();

    $args = array('post_type' => 'our-team');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('team_area_npp_count', 15);
    $cols++;
    switch($cols){
         case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-md-4 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6 col-xs-12';
        break;
    } 

    // } 
 $text = '';
 $query = new WP_Query($args);
 if ($query->have_posts()):
    $postN = 0;

    while ($query->have_posts()) : $query->the_post();
        $team_area_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        if ($isCustomizer === true) {
            $team_area_designation = get_theme_mod('team_area_designation' . $i);
            $team_area_facebook = get_theme_mod('team_area_facebook' . $i);
            $team_area_twitter = get_theme_mod('team_area_twitter' . $i);
            $team_area_linkedin = get_theme_mod('team_area_linkedin' . $i);
            $team_area_instagram = get_theme_mod('team_area_instagram' . $i);
            $team_area_pinterest = get_theme_mod('team_area_pinterest' . $i);
        } else {
            $team_area_facebook = '';
            $team_area_twitter = '';
            $team_area_linkedin = '';
            $team_area_instagram = '';
            $team_area_pinterest = '';
            $team_area_designation = '';
        }

        $post = get_post();
            //Social media urls
        $teamFacebook = get_post_meta($post->ID, 'teamFacebook', false);
        $team_area_facebook = !empty($teamFacebook[0]) ? $teamFacebook[0] : '';

        $teamTwitter = get_post_meta($post->ID, 'teamTwitter', false);
        $team_area_twitter = !empty($teamTwitter[0]) ? $teamTwitter[0] : '';

        $teamInstagram = get_post_meta($post->ID, 'teamInstagram', false);
        $team_area_instagram = !empty($teamInstagram[0]) ? $teamInstagram[0] : '';

        $teamlinkedIn = get_post_meta($post->ID, 'teamlinkedIn', false);
        $team_area_linkedin = !empty($teamlinkedIn[0]) ? $teamlinkedIn[0] : '';

        $teamPinterest = get_post_meta($post->ID, 'teamPinterest', false);
        $team_area_pinterest = !empty($teamPinterest[0]) ? $teamPinterest[0] : '';

            //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $team_area_designation = !empty($designation[0]) ? $designation[0] : '';

        ?>
        <div class="item teamwidth">
        <!-- <div class="<?php echo $colCls;?> single-team wow zoomIn pd-0"> -->
        <div teamin-match-height="groupName" class="single-team pd-0">
            <div class="our-teamout">
                <div class="our-team">
                    <div class="single-team-img">
                        <?php
                        if (has_post_thumbnail()) {
                            $image_url = $team_area_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/team-thumb.png';
                        }
                        ?>                  
                        <img src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        <figcaption></figcaption>
                        <div class="ovrlyT"></div>
                        <div class="clearfix"></div>
                    </div>

                    <div class="team-con">
                        <div class="team-text">
                           <h4 class="inner-area-title"><?php the_title(); ?></h4>
                            <div class="section-area-text team-designation">
                                <?php echo ($team_area_designation); ?>
                            </div>
                             <div class="clearfix"></div>
                        </div>
                        <?php if ($team_area_facebook || $team_area_twitter || $team_area_instagram || $team_area_linkedin || $team_area_pinterest) { ?>

                            <div class="team-social-icon">
                                <?php if ($team_area_facebook) { ?>
                                    <a target="_blank" href="<?php echo esc_url($team_area_facebook) ?>">
                                    <i class="fa fa-facebook"></i></a>
                                <?php } ?>
                                <?php if ($team_area_twitter) { ?>
                                    <a target="_blank" href="<?php echo esc_url($team_area_twitter) ?>" ><i class="fa-brands fa-x-twitter"></i></a>
                                <?php } ?>
                                <?php if ($team_area_instagram) { ?>
                                    <a target="_blank" href="<?php echo esc_url($team_area_instagram) ?>" ><i class="fa fa-instagram"></i></a> 
                                <?php } ?>
                               <?php if ($team_area_pinterest) { ?>
                                <a target="_blank" href="<?php echo esc_url($team_area_pinterest) ?>"><i class="fa fa-pinterest"></i></a>
                                <?php } ?>
                                <?php if ($team_area_linkedin) { ?>
                                    <a target="_blank" href="<?php echo esc_url($team_area_linkedin) ?>" ><i class="fa fa-linkedin"></i></a> 
                                <?php } ?>
                            </div>
                         <?php } ?> 
                    </div>
                <div class="clearfix"></div>
                </div>
<script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[teamin-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>
        </div>
    </div>
</div>

            <?php
        endwhile;
        $text = ob_get_contents();
        ob_clean();
    endif;
    wp_reset_postdata();
    return $text;
}
/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author Luzuk <support@luzuk.com>
 * */
function testimonialShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('test_npp_count', 5);
    $cols++;
    switch($cols){
        
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $lz_fitness_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        $post = get_post();



            ?>
            <div testimo-match-height="groupName" class="item innertest-item">
                <!-- <div class="timelimeicon"></div> -->
                <div class="ts-area-single">
                    <div class="innertest-thumb">
                        <div class="ts-area-thumb">
                            <img src="<?php echo (!empty($lz_fitness_image[0])) ? $lz_fitness_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                        </div>
                    </div>
                    <div class="ts-area-content">
                         <i class="fa fa-quote-right" aria-hidden="true"></i>               
                        <div class="ts-area-bx">
                            <div class="con-inn">
                                <h6 class="ts-area-title"><?php the_title(); ?></h6>
                                <div class="text-designation">
                                    <?php
                                        $name2 = get_post_meta($post->ID, 'testimonial_Sub_Title', false);
                                        echo (!empty($name2[0])) ? $name2[0] : '';
                                     ?> 
                                </div> 
                            </div>
                            <div class="ts-area-c section-area-text ">   
                                <p><?php
                                    if (has_excerpt()) {
                                        echo get_the_excerpt();
                                    } else {
                                        echo get_the_content();
                                    }
                                    ?> 
                                </p> 
                            </div>
                        </div>
                      <div class="clearfix"></div>
                    </div>
                </div>
                <script>
                        var matchHeight = function () {

                        function init() {
                            eventListeners();
                            matchHeight();
                        }

                        function eventListeners(){
                            $(window).on('resize', function() {
                                matchHeight();
                            });
                        }

                        function matchHeight(){
                            var groupName = $('[testimo-match-height]');
                            var groupHeights = [];
                            
                            groupName.css('min-height', 'auto');
                            
                            groupName.each(function() {
                                groupHeights.push($(this).outerHeight());
                            });
                            
                            var maxHeight = Math.max.apply(null, groupHeights);
                            groupName.css('min-height', maxHeight);
                        };

                        return {
                            init: init
                        };

                        } ();

                        $(document).ready(function() {
                        matchHeight.init();
                        });
                </script>
            </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

/*services / WHATWEDO */
function serviceShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-whatwedo');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('service_npp_count',2);  
    $services_page_icon1 = get_theme_mod('services_page_icon1'.$i);

    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-md-4 col-sm-6 col-xs-6';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6 col-xs-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
                $post = get_post();

                 $servicesNum = get_post_meta($post->ID, 'servicesNum', false);
                    $services_Num = !empty($servicesNum[0]) ? $servicesNum[0] : '';

                ?>
                
                <div class="<?php echo $colCls;?> single-service-bx ">
                    <div wwdo1-match-height="groupName" class="single-service">
                        <div class="service-icon">
                             <a href="<?php the_permalink(); ?>">
                          <?php
                            if (has_post_thumbnail()) {
                                $image_url = $luzuk_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/services.jpg';
                            }
                          ?>
                            <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                            <div class="sereffect"></div>
                            <div class="ovrlyT"></div>
                        </a>
                        </div>
                        <div class="service-title-box">
                            <a href="<?php the_permalink(); ?>">
                                <h4 class="post-title inner-area-title"><?php the_title(); ?></h4>
                            </a>
                                 <p class="post-text inner-area-text"> <?php
                                    if(has_excerpt()){
                                      echo get_the_excerpt();
                                     }else{
                                      echo luzuk_excerpt( get_the_content() , 100 );
                                     } 
                                    ?>
                                </p> 

                            <?php
                              $homepageservicesbutton = get_theme_mod('homepageservices_txt', 'Learn More'); 
                            ?>
                            <?php if( get_theme_mod('services_button_display','show' ) == 'show') :
                                ?>  
                                <div class="readmore">
                                    <div class="b-hv"></div>
                                    <a href="<?php echo esc_url(get_permalink()); ?>" class="more-button"><?php echo ($homepageservicesbutton );  ?><i class="fa fa-long-arrow-right"></i> </a>
                                </div>
                            <?php endif ?>

                             <?php
                              $homepageservicesbutton = get_theme_mod('lz_fitness_homepageservices_txt', 'Learn More'); 
                            ?>
                            <?php if( get_theme_mod('homepageservices_button_display','show' ) == 'show') :
                                ?>  
                                <div class="readmore1">
                                    <div class="b-hv"></div>
                                    <a href="<?php echo esc_url(get_permalink()); ?>" class="more-button"><?php echo ($homepageservicesbutton );  ?><i class="fa fa-long-arrow-right"></i> </a>
                                </div>
                            <?php endif ?>
                        </div>
                    </div>  

                    <script>
                        var matchHeight = function () {

                        function init() {
                            eventListeners();
                            matchHeight();
                        }

                        function eventListeners(){
                            $(window).on('resize', function() {
                                matchHeight();
                            });
                        }

                        function matchHeight(){
                            var groupName = $('[wwdo1-match-height]');
                            var groupHeights = [];
                            
                            groupName.css('min-height', 'auto');
                            
                            groupName.each(function() {
                                groupHeights.push($(this).outerHeight());
                            });
                            
                            var maxHeight = Math.max.apply(null, groupHeights);
                            groupName.css('min-height', maxHeight);
                        };

                        return {
                            init: init
                        };

                        } ();

                        $(document).ready(function() {
                        matchHeight.init();
                        });
                </script>
                </div>


                <?php
            endwhile;
            $text = ob_get_contents();
            ob_clean();
        endif;
        wp_reset_postdata();
        return $text;
    }


// =============================


/*project*/
function projectshortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-project');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('project_npp_count',3);  
    $project_page_icon1 = get_theme_mod('project_page_icon1'.$i);

    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-md-4 col-sm-6 col-xs-6';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6 col-xs-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
                $post = get_post();
                
                ?>
                <div class="all-project-bx">
                <div class="<?php echo $colCls;?> single-project-bx">
                    <div class="single-project">
                        <div project-match-height="groupName" class="project-icon">
                            <a href="<?php the_permalink(); ?>">
                          <?php
                            if (has_post_thumbnail()) {
                                $image_url = $luzuk_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/project.jpg';
                            }
                          ?>
                            <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                            <div class="ovrly"></div>

                        </a>
                        </div>
                        <div class="project-title-box">
                            <a href="<?php the_permalink(); ?>">
                                <h4><?php the_title(); ?></h4>
                            </a>

                             <p class="pk-text"> <?php
                                if(has_excerpt()){
                                  echo get_the_excerpt();
                                 }else{
                                  echo luzuk_excerpt( get_the_content() , 100 );
                                 } 
                                ?>
                            </p> 
                                <?php
                              $projectbutton = get_theme_mod('project_txt', 'View Project'); 
                            ?>
                            <?php if( get_theme_mod('project_button_display','show' ) == 'show') :
                                ?>  
                                <div class="readmore">
                                    <div class="b-hv"></div>
                                     <a href="<?php echo esc_url(get_permalink()); ?>" class="more-button btn"><?php echo ($projectbutton );  ?><i class="fa fa-long-arrow-right"></i> </a>
                                </div>
                            <?php endif ?>
                            <div class="clearfix"></div>
                        </div>
                        <div class="clearfix"></div>
                    </div> 
                </div>

                <div class="col-md-4 col-sm-6 col-xs-6 single-project-bx-inn">
                    <div class="single-project">
                        <div project-match-height="groupName" class="project-icon">
                            <a href="<?php the_permalink(); ?>">
                          <?php
                            if (has_post_thumbnail()) {
                                $image_url = $luzuk_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/project.jpg';
                            }
                          ?>
                            <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                            <div class="ovrly"></div>

                        </a>
                        </div>
                        <div class="project-title-box">
                            <a href="<?php the_permalink(); ?>">
                                <h4><?php the_title(); ?></h4>
                            </a>

                             <p class="pk-text"> <?php
                                if(has_excerpt()){
                                  echo get_the_excerpt();
                                 }else{
                                  echo luzuk_excerpt( get_the_content() , 100 );
                                 } 
                                ?>
                            </p> 
                                <?php
                              $projectbutton = get_theme_mod('project_txt', 'View Project'); 
                            ?>
                            <?php if( get_theme_mod('project_button_display','show' ) == 'show') :
                                ?>  
                                <div class="readmore">
                                    <div class="b-hv"></div>
                                     <a href="<?php echo esc_url(get_permalink()); ?>" class="more-button btn"><?php echo ($projectbutton );  ?><i class="fa fa-long-arrow-right"></i> </a>
                                </div>
                            <?php endif ?>
                            <div class="clearfix"></div>
                        </div>
                        <div class="clearfix"></div>
                    </div> 
                </div>
                    <script>
                        var matchHeight = function () {

                        function init() {
                            eventListeners();
                            matchHeight();
                        }

                        function eventListeners(){
                            $(window).on('resize', function() {
                                matchHeight();
                            });
                        }

                        function matchHeight(){
                            var groupName = $('[project-match-height]');
                            var groupHeights = [];
                            
                            groupName.css('min-height', 'auto');
                            
                            groupName.each(function() {
                                groupHeights.push($(this).outerHeight());
                            });
                            
                            var maxHeight = Math.max.apply(null, groupHeights);
                            groupName.css('min-height', maxHeight);
                        };

                        return {
                            init: init
                        };

                        } ();

                        $(document).ready(function() {
                        matchHeight.init();
                        });
                    </script>

                </div>


                <?php
            endwhile;
            $text = ob_get_contents();
            ob_clean();
        endif;
        wp_reset_postdata();
        return $text;
    }

function galleryShortCode($pageId = null, $isCustomizer = false, $i = null) {
    ob_start();

    $args = array('post_type' => 'our-gallery');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('luzuk_gallery_npp_count',5);  
  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-md-4 col-sm-6 col-xs-6';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6 col-xs-6';
        break;
    }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
            ?>
    <!-- <div class=" gallery-inn">  -->
        <?php
            while ($query->have_posts()) : $query->the_post();
                $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
                $post = get_post();

        ?>
        <div class=" col-md-4 col-sm-6 col-xs-6 lz-gallery-images padding0 wow zoomIn"> 
                  <?php
                          if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/about1.jpg';
                        }
                    ?>
            <a data-fancybox="gallery" class=" " href="<?php echo esc_url($image_url); ?>" title="<?php the_title(); ?>">
                <figure class="inner-page-gallery">
                        <img class="secondry-bg img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" /> 
                        <div class="new-hover-effect-9-content"></div>  
                </figure>
            </a>
                
        </div>  
            <?php
        endwhile;
        ?>
        <!-- </div> -->
        <?php
        $text = ob_get_contents();
        ob_clean();
    endif;
    wp_reset_postdata();
    return $text;
}

add_shortcode('TEAMLIST', 'teamShortCode');
add_shortcode('TESTIMONIALS', 'testimonialShortCode');
add_shortcode('GALLERY', 'galleryShortcode'); 
add_shortcode('WHATWEDO', 'serviceShortCode');
add_shortcode('FAQS', 'faqShortcode');
add_shortcode('PROJECT', 'projectshortCode');